package com.iamberry.wechat.core.entity.coupon;

import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.iamberry.wechat.core.entity.PageBean;

public class CouponItemDto implements java.io.Serializable{
	/**
	 * 
	 */
	private static final long serialVersionUID = -6935453801410812596L;
	private String couponItemId;				//id
	private Integer couponId; 					//优惠券类型id
	private String couponName;					//优惠券类型名称
	private String useropenid;					//领取券的openid
	private Integer couponUseStatus;			//使用状态
	private Integer couponType;                 //优惠券类型
	
	private Integer couponReduce;				//减免额/减免率
	private Integer couponConsumeEnough;		//消费总金额要求（满足这个条件才能领券）
	@DateTimeFormat(pattern="yyyy-MM-dd")  
	@JsonFormat(pattern="yyyy-MM-dd",timezone = "GMT+8") 
	private Date couponReceiveDate;				//领取优惠券时间
	@DateTimeFormat(pattern="yyyy-MM-dd")  
	@JsonFormat(pattern="yyyy-MM-dd",timezone = "GMT+8") 
	private Date couponUseEndDate;				//券截止使用时间
	@DateTimeFormat(pattern="yyyy-MM-dd")  
	@JsonFormat(pattern="yyyy-MM-dd",timezone = "GMT+8") 
	private Date couponUseDate;					//使用时间

	private String couponRemark;					//备注

	private Date beginDate;						//开始时间
	private Date endDate;						//结束时间
	private String couponItemRemark;			//优惠券详情备注
	private PageBean page;						//分页
	private Integer couponIsGive;

	public Integer getCouponIsGive() {
		return couponIsGive;
	}

	public void setCouponIsGive(Integer couponIsGive) {
		this.couponIsGive = couponIsGive;
	}

	public String getCouponItemId() {
		return couponItemId;
	}
	public void setCouponItemId(String couponItemId) {
		this.couponItemId = couponItemId;
	}
	public Integer getCouponId() {
		return couponId;
	}
	public void setCouponId(Integer couponId) {
		this.couponId = couponId;
	}
	public String getCouponName() {
		return couponName;
	}
	public void setCouponName(String couponName) {
		this.couponName = couponName;
	}
	public String getUseropenid() {
		return useropenid;
	}
	public void setUseropenid(String useropenid) {
		this.useropenid = useropenid;
	}
	public Integer getCouponUseStatus() {
		return couponUseStatus;
	}
	public void setCouponUseStatus(Integer couponUseStatus) {
		this.couponUseStatus = couponUseStatus;
	}
	public Integer getCouponReduce() {
		return couponReduce;
	}
	public void setCouponReduce(Integer couponReduce) {
		this.couponReduce = couponReduce;
	}
	public Integer getCouponConsumeEnough() {
		return couponConsumeEnough;
	}
	public void setCouponConsumeEnough(Integer couponConsumeEnough) {
		this.couponConsumeEnough = couponConsumeEnough;
	}
	public Date getCouponReceiveDate() {
		return couponReceiveDate;
	}
	public void setCouponReceiveDate(Date couponReceiveDate) {
		this.couponReceiveDate = couponReceiveDate;
	}
	public Date getCouponUseEndDate() {
		return couponUseEndDate;
	}
	public void setCouponUseEndDate(Date couponUseEndDate) {
		this.couponUseEndDate = couponUseEndDate;
	}
	public Date getCouponUseDate() {
		return couponUseDate;
	}
	public void setCouponUseDate(Date couponUseDate) {
		this.couponUseDate = couponUseDate;
	}
	public Date getBeginDate() {
		return beginDate;
	}
	public void setBeginDate(Date beginDate) {
		this.beginDate = beginDate;
	}
	public Date getEndDate() {
		return endDate;
	}
	public void setEndDate(Date endDate) {
		this.endDate = endDate;
	}
	public String getCouponItemRemark() {
		return couponItemRemark;
	}
	public void setCouponItemRemark(String couponItemRemark) {
		this.couponItemRemark = couponItemRemark;
	}
	public PageBean getPage() {
		return page;
	}
	public void setPage(PageBean page) {
		this.page = page;
	}
	public Integer getCouponType() {
		return couponType;
	}
	public void setCouponType(Integer couponType) {
		this.couponType = couponType;
	}

	public String getCouponRemark() {
		return couponRemark;
	}

	public void setCouponRemark(String couponRemark) {
		this.couponRemark = couponRemark;
	}
}
